Bug 722745 - Screen brightness settings does not have any effect on iMac 12.2 27inch [NEEDINFO]
Screen brightness settings does not have any effect on iMac 12.2 27inch
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
backlight
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-17 05:31 EDT by Andreas Tunek
Modified: 2014-03-10 10:39 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 773589 (view as bug list)
Environment:
Last Closed: 2014-03-10 10:39:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Andreas Tunek 2011-07-17 05:31:38 EDT
When you adjust the screen brightness, either in gnome or using the brightness
keys on the keyboard, the sliders change but there is no difference on the
actual brightness of the screen

HW: 2011 27 inch iMac, smolt:
http://www.smolts.org/client/show/pub_d9693c43-4ee8-4a8c-82a8-5332c6481f4d

I am using Refit to boot into Fedora.
Comment 1 Andreas Tunek 2011-08-05 13:41:12 EDT
Still happens in 2.6.40....
Comment 2 Josh Boyer 2012-06-06 12:07:44 EDT
There was a lot of work put into making F17 more usable on Apple hardware.  Have you tried installing F17 to see if it improves things?
Comment 3 Basil Mohamed Gohar 2012-06-18 13:59:30 EDT
I've installed Fedora 17 on a 27-inch iMac and the brightness is not adjustable from the Gnome 3 Brightness and Lock settings menu at all.
Comment 4 Andreas Tunek 2012-09-13 14:58:21 EDT
Still happens in RC3, but it seems to remember the last screen brightness set by MacOSX now which makes the computer much more useable.
Comment 5 Andreas Tunek 2012-11-13 07:14:03 EST
Same problems in Beta TC8.
Comment 6 Josh Boyer 2013-04-12 13:03:53 EDT
Is this still happening with 3.8.x?
Comment 7 Andreas Tunek 2013-05-25 16:29:43 EDT
Tested on beta.
Comment 8 Josh Boyer 2013-09-18 16:32:46 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 9 Andreas Tunek 2013-09-25 09:43:50 EDT
Same results on F20 Alpha.
Comment 10 Mike Ruckman 2013-10-25 10:44:09 EDT
I have the same issue on a Lenovo W530 running F20 Beta TC5.
Comment 11 Andreas Tunek 2013-10-26 06:13:14 EDT
You should probably open a new since since the HW is different.
Comment 12 Mike Ruckman 2013-11-03 01:33:06 EST
Submitted bug 1026054
Comment 13 Justin M. Forbes 2014-01-03 17:08:26 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 14 Justin M. Forbes 2014-03-10 10:39:51 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for more than 1 month and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 19, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.